Let’s Encrypt Wildcard Certs on Ubuntu 16.04

Let’s Encrypt Wildcard Certs on Ubuntu 16.04

aMiSTACX Ubuntu 16.04 Let’s Encrypt WildCard Certs Install Let’s Encrypt has been offering wildcard TLS certificates since the January 2018, and aMiSTACX has the Let’s Encrypt agent certbot-auto pre-installed. 😉 This should cover all of our Ubuntu 16.04 LAMP and LEMP stacks. From CLI: Step 1. sudo certbot-auto certonly –manual -d *.yourdomain.com –agree-tos –no-bootstrap –preferred-challenges […]

Renewing your Let’s Encrypt Certificate

Renewing your Let’s Encrypt Certificate

It wouldn’t be too far fetched to imagine Captain Kirk yelling out “Cronnnnnnnnn! Cronnnnnnnnnn!”. Just keeping a sense of humor to an area that has caused many of us some frustration. Making sure our certificate(s) renews correctly. Here are some aMiSTACX tips to make sure auto-renewal and manual Let’s Encrypt certificate renewals are successful. [These steps […]

Let’s Encrypt – “does not support any combination of challenges”

Let’s Encrypt – “does not support any combination of challenges”

To remedy the error received when attempting to get a certificate: “Client with the currently selected authenticator does not support any combination of challenges that will satisfy the CA.” you must follow these commands to update certbot to certbot-auto. History: As of January 9th, 2018, Let’s Encrypt no longer supports the certbot installed due to potential issues […]